## php-async-aws-sqs 1.7.0

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker:
	docker start async_aws_sqs && exit 0 || \
	docker pull asyncaws/testing-sqs && \
	docker run -d -p 9494:9494 --name async_aws_sqs asyncaws/testing-sqs

test: initialize
	./vendor/bin/simple-phpunit

clean: stop-docker
stop-docker:
	docker stop async_aws_sqs || true

## php-async-aws-sqs 1.5.0

=== debian/changelog ===
php-async-aws-sqs (1.5.0-1) experimental; urgency=medium

  [ Jérémy Derussé ]
  * Generate Exceptions (#921)
  * Prepare next release (#946)

  [ David Prévot ]
  * Build-Depend on recent php-async-aws-core

 -- David Prévot <taffit@debian.org>  Thu, 04 Feb 2021 18:53:49 -0400

php-async-aws-sqs (1.4.0-1) experimental; urgency=medium

  * Upload to experimental due to php-symfony-deprecation-contracts dependency

  [ Tobias Nyholm ]
  * Preparing a bunch more releases (#917)

  [ David Prévot ]
  * Simplify gbp import-orig workflow

 -- David Prévot <taffit@debian.org>  Sun, 31 Jan 2021 10:18:11 -0400

php-async-aws-sqs (1.3.2-1) unstable; urgency=medium

  * Initial release (php-symfony-amazon-sqs-messenger dependency)

 -- David Prévot <taffit@debian.org>  Wed, 06 Jan 2021 22:26:34 -0400

=== debian/control ===
Source: php-async-aws-sqs
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               php-async-aws-core (>> 1.9),
               phpab,
               phpunit,
               pkg-php-tools
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sqs.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sqs
Homepage: https://async-aws.com/clients/sqs.html
Rules-Requires-Root: no

Package: php-async-aws-sqs
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: AsyncAws Sqs - AsyncAws component
 ${phpcomposer:description}.
 .
 API client for SQS.
 .
 AsyncAws is a wrapper around Symfony's HTTP client and makes sure
 the asynchronous features are properly used. AsyncAws also handles
 authentication, exceptions and provide input and result objects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor AsyncAws
	ln -s ../src AsyncAws/Sqs
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_clean:

override_dh_auto_test:
	phpunit -v tests/Unit

=== debian/tests/control ===
Restrictions: rw-build-tree
Depends: phpab, phpunit, @
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit -v tests/Unit

## php-async-aws-sqs 1.7.0

=== debian/changelog ===
php-async-aws-sqs (1.7.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Prepare releases (#1140)

  [ Graham Campbell ]
  * Added SQS batch actions (#1142)

 -- David Prévot <taffit@debian.org>  Tue, 21 Dec 2021 14:16:02 -0400

php-async-aws-sqs (1.6.0-2) unstable; urgency=medium

  * Upload to unstable in sync with Symfony 5

 -- David Prévot <taffit@debian.org>  Fri, 19 Nov 2021 18:04:27 -0400

php-async-aws-sqs (1.6.0-1) experimental; urgency=medium

  [ Jérémy Derussé ]
  * Prepare release (#1110)

  [ David Prévot ]
  * Install dh-sequence-* instead of using dh --with
  * Generate phpabtpl at build time
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Tue, 12 Oct 2021 00:06:23 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-phpcomposer,
                php-async-aws-core (>> 1.9),
                phpab,
                phpunit,
-               pkg-php-tools
-Standards-Version: 4.5.1
+               pkg-php-tools (>= 1.41~)
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sqs.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sqs
 Homepage: https://async-aws.com/clients/sqs.html

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with phpcomposer
+	dh $@
 
 override_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src
 	mkdir --parents vendor AsyncAws
 	ln -s ../src AsyncAws/Sqs
+	phpabtpl --require async-aws/sqs > debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools (>= 1.41~), @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/sqs > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit -v tests/Unit

## php-async-aws-sqs 1.9.0

=== debian/changelog ===
php-async-aws-sqs (1.9.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release (#1536)

 -- David Prévot <taffit@debian.org>  Fri, 11 Aug 2023 08:10:38 +0200

php-async-aws-sqs (1.8.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Prepare next releases (#1435)

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Sat, 24 Jun 2023 07:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sqs.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sqs
 Homepage: https://async-aws.com/clients/sqs.html

## php-async-aws-sqs 2.0.0

=== debian/changelog ===
php-async-aws-sqs (2.0.0-3) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 18:16:12 +0100

php-async-aws-sqs (2.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * Drop versioned build-dependencies

 -- David Prévot <taffit@debian.org>  Fri, 02 Feb 2024 08:19:58 +0100

php-async-aws-sqs (2.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Christophe Coevoet ]
  * Allow passing explicit null values for optional input members (#1542)

  [ David Prévot ]
  * Drop incompatible option with PHPUnit 10

 -- David Prévot <taffit@debian.org>  Thu, 14 Dec 2023 09:00:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-async-aws-core (>> 1.9),
+               php-async-aws-core,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
+               phpunit
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sqs.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sqs.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sqs
 Homepage: https://async-aws.com/clients/sqs.html
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor AsyncAws
	ln -s ../src AsyncAws/Sqs
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_clean:

override_dh_auto_test:
	phpunit tests/Unit

=== debian/tests/control ===
Restrictions: rw-build-tree
Depends: phpab, phpunit, @
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit tests/Unit

## php-async-aws-sqs 2.1.1

=== debian/changelog ===
php-async-aws-sqs (2.1.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add an accept header in JSON request to help 3rd party services like
    localstack (#1721)
  * Prepare next release (#1733)

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 15:40:58 +0200

php-async-aws-sqs (2.1.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Update CS dependencies (#1688)
  * Prepare next release

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Wed, 15 May 2024 16:35:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                php-async-aws-core,
                phpab,
                phpunit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sqs.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sqs
 Homepage: https://async-aws.com/clients/sqs.html

## php-async-aws-sqs 2.2.0

=== debian/changelog ===
php-async-aws-sqs (2.2.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release (#1778)

  [ Steven Brookes ]
  * Add SQS AddPermission operation (#1773)

  [ David Prévot ]
  * Revert "Force system dependencies loading"
  * Drop now useless symlink for build

 -- David Prévot <taffit@debian.org>  Fri, 11 Oct 2024 09:22:40 +0100

## php-async-aws-sqs 2.2.1

=== debian/changelog ===
php-async-aws-sqs (2.2.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add strict comparison `null !==` instead of `!` (#1794)
  * prepare next release

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 09:39:50 +0100

## php-async-aws-sqs 2.3.0

=== debian/changelog ===
php-async-aws-sqs (2.3.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add support for php 8.5 (#1808)
  * prepare next release

 -- David Prévot <taffit@debian.org>  Sun, 19 Jan 2025 09:44:19 +0100

## php-async-aws-sqs 2.4.0

=== debian/changelog ===
php-async-aws-sqs (2.4.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Prepare release

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sat, 08 Mar 2025 16:32:05 +0100

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools, @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/sqs > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit tests/Unit

## php-async-aws-sqs 2.5.0

=== debian/changelog ===
php-async-aws-sqs (2.5.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release

 -- David Prévot <taffit@debian.org>  Wed, 02 Apr 2025 23:00:45 +0200

## php-async-aws-sqs 2.6.0

=== debian/changelog ===
php-async-aws-sqs (2.6.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Jérémy Derussé ]
  * Sort exceptions alphabetically (#1875)
  * Prepeare release

 -- David Prévot <taffit@debian.org>  Mon, 12 May 2025 18:42:51 +0200

## php-async-aws-sqs 2.7.0

=== debian/changelog ===
php-async-aws-sqs (2.7.0-1) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released

  [ Jérémy Derussé ]
  * prepare next release (#1932)

 -- David Prévot <taffit@debian.org>  Tue, 12 Aug 2025 13:18:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                php-async-aws-core,
                phpab,
                phpunit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sqs.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sqs
 Homepage: https://async-aws.com/clients/sqs.html

## php-async-aws-sqs 2.7.1

=== Makefile ===
--- 
+++ 
@@ -12,3 +12,4 @@
 clean: stop-docker
 stop-docker:
 	docker stop async_aws_sqs || true
+	docker rm async_aws_sqs || true

=== debian/changelog ===
php-async-aws-sqs (2.7.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release

  [ David Prévot ]
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Tue, 09 Sep 2025 07:52:05 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sqs.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sqs
 Homepage: https://async-aws.com/clients/sqs.html
-Rules-Requires-Root: no
 
 Package: php-async-aws-sqs
 Architecture: all

=== debian/tests/control ===
Restrictions: allow-stderr, rw-build-tree
Depends: phpab, phpunit, pkg-php-tools, @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/sqs > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit tests/Unit

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/async-aws/sqs \
refs/tags/v?(\d.+)

## php-async-aws-sqs 2.8.0

=== debian/changelog ===
php-async-aws-sqs (2.8.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add UNKNOWN_TO_SDK value to enums (#1998)
  * prepare next release

  [ Christophe Coevoet ]
  * Drop support for PHP lower than 8.2 (#1967)
  * Migrate the testsuite to PHPUnit 11 (#1977)

  [ David Prévot ]
  * Convert d/watch to version 5
  * Use php-symfony-phpunit-bridge and php-symfony-error-handler for tests
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Sat, 17 Jan 2026 08:36:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: php-async-aws-sqs
 Section: php
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-async-aws-core,
+               php-async-aws-core <!nocheck>,
+               php-symfony-error-handler <!nocheck>,
+               php-symfony-phpunit-bridge <!nocheck>,
                phpab,
-               phpunit
-Standards-Version: 4.7.2
+               phpunit <!nocheck>
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sqs.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sqs
 Homepage: https://async-aws.com/clients/sqs.html

=== debian/tests/control ===
Restrictions: allow-stderr, rw-build-tree
Depends: php-symfony-error-handler,
         php-symfony-phpunit-bridge,
         phpab,
         phpunit,
         pkg-php-tools,
         @
Test-Command: mkdir -p vendor && phpabtpl --require symfony/error-handler --require symfony/phpunit-bridge --require async-aws/sqs > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit tests/Unit

=== debian/watch ===
Version: 5

Source: https://github.com/async-aws/sqs
Matching-Pattern: refs/tags/v?(\d.+)
Gitexport: all
Gitmode: full
Mode: git
Uversionmangle: s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/

## php-async-aws-sqs 2.8.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	docker run -d -p 9494:9494 --name async_aws_sqs asyncaws/testing-sqs
 
 test: initialize
-	./vendor/bin/simple-phpunit
+	./vendor/bin/phpunit
 
 clean: stop-docker
 stop-docker:

=== debian/changelog ===
php-async-aws-sqs (2.8.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Remove unecesary ext-json dependency (#2031)
  * prepare next release

 -- David Prévot <taffit@debian.org>  Mon, 16 Feb 2026 21:40:28 +0100
